diff --git a/NOTICE b/NOTICE
index 59e56b48f..2f1aee673 100644
--- a/NOTICE
+++ b/NOTICE
@@ -1,4 +1,4 @@
-Apache Hudi (incubating)
+Apache Hudi
Copyright 2019-2020 The Apache Software Foundation
This product includes software developed at
diff --git a/README.md b/README.md
index 342a86607..66b9138ae 100644
--- a/README.md
+++ b/README.md
@@ -21,7 +21,7 @@ Hudi manages the storage of large analytical datasets on DFS (Cloud stores, HDFS
-[](https://travis-ci.org/apache/incubator-hudi)
+[](https://travis-ci.org/apache/hudi)
[](https://www.apache.org/licenses/LICENSE-2.0.html)
[](http://search.maven.org/#search%7Cga%7C1%7Cg%3A%22org.apache.hudi%22)
[](https://join.slack.com/t/apache-hudi/shared_invite/enQtODYyNDAxNzc5MTg2LTE5OTBlYmVhYjM0N2ZhOTJjOWM4YzBmMWU2MjZjMGE4NDc5ZDFiOGQ2N2VkYTVkNzU3ZDQ4OTI1NmFmYWQ0NzE)
@@ -53,7 +53,7 @@ Prerequisites for building Apache Hudi:
```
# Checkout code and build
-git clone https://github.com/apache/incubator-hudi.git && cd incubator-hudi
+git clone https://github.com/apache/hudi.git && cd hudi
mvn clean package -DskipTests -DskipITs
# Start command
@@ -82,7 +82,7 @@ The default hudi-jar bundles spark-avro module. To build without spark-avro modu
```
# Checkout code and build
-git clone https://github.com/apache/incubator-hudi.git && cd incubator-hudi
+git clone https://github.com/apache/hudi.git && cd hudi
mvn clean package -DskipTests -DskipITs -Pspark-shade-unbundle-avro
# Start command
diff --git a/doap_HUDI.rdf b/doap_HUDI.rdf
index af45a4184..b92db8277 100644
--- a/doap_HUDI.rdf
+++ b/doap_HUDI.rdf
@@ -26,7 +26,6 @@
Apache Hudi
-
Ingests and Manages storage of large analytical datasets
Hudi (pronounced “Hoodie”) brings stream processing to big data, providing upserts, deletes and incremental data streams.
@@ -54,13 +53,13 @@
-
-
+
+
- Apache Hudi-incubating PPMC
+ Apache Hudi PMC
diff --git a/hudi-integ-test/src/test/java/org/apache/hudi/integ/ITTestHoodieDemo.java b/hudi-integ-test/src/test/java/org/apache/hudi/integ/ITTestHoodieDemo.java
index 744f4f891..3af302f0a 100644
--- a/hudi-integ-test/src/test/java/org/apache/hudi/integ/ITTestHoodieDemo.java
+++ b/hudi-integ-test/src/test/java/org/apache/hudi/integ/ITTestHoodieDemo.java
@@ -27,7 +27,7 @@ import java.util.Collections;
import java.util.List;
/**
- * Goes through steps described in https://hudi.incubator.apache.org/docker_demo.html
+ * Goes through steps described in https://hudi.apache.org/docker_demo.html
*
* To run this as a standalone test in the IDE or command line. First bring up the demo setup using
* `docker/setup_demo.sh` and then run the test class as you would do normally.
diff --git a/pom.xml b/pom.xml
index 9bcb898e9..8f1bac468 100644
--- a/pom.xml
+++ b/pom.xml
@@ -30,8 +30,8 @@
hudi
pom
0.6.0-SNAPSHOT
- Apache Hudi (incubating) brings stream style processing on big data
- https://github.com/apache/incubator-hudi
+ Apache Hudi brings stream style processing on big data
+ https://github.com/apache/hudi
Hudi
@@ -122,9 +122,9 @@
- scm:git:git@github.com:apache/incubator-hudi.git
- scm:git:git@github.com:apache/incubator-hudi.git
- git@github.com:apache/incubator-hudi.git
+ scm:git:git@github.com:apache/hudi.git
+ scm:git:git@github.com:apache/hudi.git
+ git@github.com:apache/hudi.git
HEAD
@@ -1111,8 +1111,4 @@
-
- GitHub
- https://github.com/apache/incubator-hudi/issues
-
diff --git a/scripts/release/cut_release_branch.sh b/scripts/release/cut_release_branch.sh
index f8f0d9f06..49b58391b 100755
--- a/scripts/release/cut_release_branch.sh
+++ b/scripts/release/cut_release_branch.sh
@@ -16,7 +16,7 @@
# limitations under the License.
#
-# This script will update apache hudi (incubating) master branch with next release version
+# This script will update apache hudi master branch with next release version
# and cut release branch for current development version.
# Parse parameters passing into the script
@@ -34,7 +34,7 @@ function clean_up(){
}
if [[ $# -eq 1 && $1 = "-h" ]]; then
- echo "This script will update apache hudi(incubating) master branch with next release version and cut release branch for current development version."
+ echo "This script will update apache hudi master branch with next release version and cut release branch for current development version."
echo "There are 3 params required:"
echo "--release=\${CURRENT_RELEASE_VERSION}"
echo "--next_release=\${NEXT_RELEASE_VERSION}"
@@ -63,8 +63,8 @@ fi
MASTER_BRANCH=master
RELEASE_BRANCH=release-${RELEASE}
-GITHUB_REPO_URL=git@github.com:apache/incubator-hudi.git
-HUDI_ROOT_DIR=incubator-hudi
+GITHUB_REPO_URL=git@github.com:apache/hudi.git
+HUDI_ROOT_DIR=hudi
LOCAL_CLONE_DIR=hudi_release_${RELEASE}
echo "=====================Environment Variables====================="
@@ -119,9 +119,9 @@ else
exit
fi
-# Checkout and update release branch - Add incubating and remove snapshot
+# Checkout and update release branch
git checkout ${RELEASE_BRANCH}
-mvn versions:set -DnewVersion=${RELEASE}-incubating-rc${RC_NUM}
+mvn versions:set -DnewVersion=${RELEASE}-rc${RC_NUM}
echo "==================Current working branch======================="
echo ${RELEASE_BRANCH}
diff --git a/scripts/release/preparation_before_release.sh b/scripts/release/preparation_before_release.sh
index e827d5bcd..65e9aa814 100755
--- a/scripts/release/preparation_before_release.sh
+++ b/scripts/release/preparation_before_release.sh
@@ -22,8 +22,8 @@ set -e
LOCAL_SVN_DIR=local_svn_dir
ROOT_SVN_URL=https://dist.apache.org/repos/dist/
-DEV_REPO=dev/incubator
-RELEASE_REPO=release/incubator
+DEV_REPO=dev
+RELEASE_REPO=release
HUDI_REPO=hudi
cd ~
diff --git a/scripts/release/validate_staged_release.sh b/scripts/release/validate_staged_release.sh
index 4dcb9dd20..ed0504145 100755
--- a/scripts/release/validate_staged_release.sh
+++ b/scripts/release/validate_staged_release.sh
@@ -31,7 +31,7 @@ fi
REDIRECT=' > /dev/null 2>&1'
if [[ $# -lt 2 ]]; then
- echo "This script will validate source release candidate published in dist for apache hudi(incubating)"
+ echo "This script will validate source release candidate published in dist for apache hudi"
echo "There are two params required:"
echo "--release=\${CURRENT_RELEASE_VERSION}"
echo "--rc_num=\${RC_NUM}"
@@ -65,11 +65,11 @@ rm -rf $WORK_DIR
mkdir $WORK_DIR
pushd $WORK_DIR
-# Checkout dist incubator repo
+# Checkout dist repo
LOCAL_SVN_DIR=local_svn_dir
ROOT_SVN_URL=https://dist.apache.org/repos/dist/
-DEV_REPO=dev/incubator
-#RELEASE_REPO=release/incubator
+DEV_REPO=dev
+#RELEASE_REPO=release
HUDI_REPO=hudi
rm -rf $LOCAL_SVN_DIR
@@ -77,23 +77,23 @@ mkdir $LOCAL_SVN_DIR
cd $LOCAL_SVN_DIR
(bash -c "svn co ${ROOT_SVN_URL}/${DEV_REPO}/${HUDI_REPO} $REDIRECT") || (echo -e "\t\t Unable to checkout ${ROOT_SVN_URL}/${DEV_REPO}/${HUDI_REPO} . Please run with --verbose to get details\n" && exit -1)
-cd ${HUDI_REPO}/hudi-${RELEASE_VERSION}-incubating-rc${RC_NUM}
-$SHASUM hudi-${RELEASE_VERSION}-incubating-rc${RC_NUM}.src.tgz > got.sha512
+cd ${HUDI_REPO}/hudi-${RELEASE_VERSION}-rc${RC_NUM}
+$SHASUM hudi-${RELEASE_VERSION}-rc${RC_NUM}.src.tgz > got.sha512
echo "Checking Checksum of Source Release"
-diff -u hudi-${RELEASE_VERSION}-incubating-rc${RC_NUM}.src.tgz.sha512 got.sha512
+diff -u hudi-${RELEASE_VERSION}-rc${RC_NUM}.src.tgz.sha512 got.sha512
echo -e "\t\tChecksum Check of Source Release - [OK]\n"
# Download KEYS file
-curl https://dist.apache.org/repos/dist/release/incubator/hudi/KEYS > ../KEYS
+curl https://dist.apache.org/repos/dist/release/hudi/KEYS > ../KEYS
# GPG Check
echo "Checking Signature"
-(bash -c "gpg --import ../KEYS $REDIRECT" && bash -c "gpg --verify hudi-${RELEASE_VERSION}-incubating-rc${RC_NUM}.src.tgz.asc hudi-${RELEASE_VERSION}-incubating-rc${RC_NUM}.src.tgz $REDIRECT" && echo -e "\t\tSignature Check - [OK]\n") || (echo -e "\t\tSignature Check - [FAILED] - Run with --verbose to get details\n" && exit -1)
+(bash -c "gpg --import ../KEYS $REDIRECT" && bash -c "gpg --verify hudi-${RELEASE_VERSION}-rc${RC_NUM}.src.tgz.asc hudi-${RELEASE_VERSION}-rc${RC_NUM}.src.tgz $REDIRECT" && echo -e "\t\tSignature Check - [OK]\n") || (echo -e "\t\tSignature Check - [FAILED] - Run with --verbose to get details\n" && exit -1)
# Untar
-(bash -c "tar -zxf hudi-${RELEASE_VERSION}-incubating-rc${RC_NUM}.src.tgz $REDIRECT") || (echo -e "\t\t Unable to untar hudi-${RELEASE_VERSION}-incubating-rc${RC_NUM}.src.tgz . Please run with --verbose to get details\n" && exit -1)
-cd hudi-${RELEASE_VERSION}-incubating-rc${RC_NUM}
+(bash -c "tar -zxf hudi-${RELEASE_VERSION}-rc${RC_NUM}.src.tgz $REDIRECT") || (echo -e "\t\t Unable to untar hudi-${RELEASE_VERSION}-rc${RC_NUM}.src.tgz . Please run with --verbose to get details\n" && exit -1)
+cd hudi-${RELEASE_VERSION}-rc${RC_NUM}
### BEGIN: Binary Files Check
echo "Checking for binary files in source release"